/**
 * 
 */
package org.processmining.plugins.pnalignanalysis.visualization.projection.util;

import java.awt.Color;

import javax.swing.JComponent;
import javax.swing.JScrollBar;
import javax.swing.JScrollPane;

import org.processmining.framework.util.ui.widgets.WidgetColors;

import com.fluxicon.slickerbox.ui.SlickerScrollBarUI;

/**
 * @author aadrians
 * Nov 13, 2012
 *
 */
public class ProMScrollPane extends JScrollPane{
	private static final long serialVersionUID = 2218552332920780921L;

	public ProMScrollPane(JComponent component){
		super(component);
		final JScrollBar vBar = getVerticalScrollBar();
		vBar.setUI(new SlickerScrollBarUI(vBar, new Color(0, 0, 0, 0), new Color(160, 160, 160),
				WidgetColors.COLOR_NON_FOCUS, 4, 12));
		vBar.setOpaque(true);
		vBar.setBackground(WidgetColors.COLOR_ENCLOSURE_BG);
		final JScrollBar hBar = getHorizontalScrollBar();
		hBar.setUI(new SlickerScrollBarUI(hBar, new Color(0, 0, 0, 0), new Color(160, 160, 160),
				WidgetColors.COLOR_NON_FOCUS, 4, 12));
		hBar.setOpaque(true);
		hBar.setBackground(WidgetColors.COLOR_ENCLOSURE_BG);

	}
}
