/**
 * 
 */
package org.processmining.plugins.pnalignanalysis.export.decisionmining;

import java.util.Set;

import org.deckfour.xes.classification.XEventClassifier;
import org.deckfour.xes.model.XLog;
import org.processmining.models.graphbased.directed.petrinet.PetrinetGraph;
import org.processmining.models.graphbased.directed.petrinet.elements.Transition;
import org.processmining.models.semantics.petrinet.Marking;
import org.processmining.plugins.petrinet.replayresult.PNRepResult;

/**
 * @author aadrians
 * Aug 9, 2012
 *
 */
public class ExportToRapidminerParam {
	private PetrinetGraph net;
	private XLog log; 
	private Marking initMarking;
	private PNRepResult alignment;
	private Set<Transition> selectedDecisions;
	private String targetPath = "";
	private XEventClassifier[] classifiers;
	
	/**
	 * @return the net
	 */
	public PetrinetGraph getNet() {
		return net;
	}
	/**
	 * @param net the net to set
	 */
	public void setNet(PetrinetGraph net) {
		this.net = net;
	}
	/**
	 * @return the log
	 */
	public XLog getLog() {
		return log;
	}
	/**
	 * @param log the log to set
	 */
	public void setLog(XLog log) {
		this.log = log;
	}
	/**
	 * @return the initMarking
	 */
	public Marking getInitMarking() {
		return initMarking;
	}
	/**
	 * @param initMarking the initMarking to set
	 */
	public void setInitMarking(Marking initMarking) {
		this.initMarking = initMarking;
	}
	/**
	 * @return the alignment
	 */
	public PNRepResult getAlignment() {
		return alignment;
	}
	/**
	 * @param alignment the alignment to set
	 */
	public void setAlignment(PNRepResult alignment) {
		this.alignment = alignment;
	}
	
	/**
	 * @return the selectedDecisions
	 */
	public Set<Transition> getSelectedDecisions() {
		return selectedDecisions;
	}
	/**
	 * @param selectedDecisions the selectedDecisions to set
	 */
	public void setSelectedDecisions(Set<Transition> selectedDecisions) {
		this.selectedDecisions = selectedDecisions;
	}
	/**
	 * @return the targetPath
	 */
	public String getTargetPath() {
		return targetPath;
	}
	/**
	 * @param targetPath the targetPath to set
	 */
	public void setTargetPath(String targetPath) {
		this.targetPath = targetPath;
	}
	
	public void setClassifiers(XEventClassifier[] selectedClassifiers) {
		classifiers = selectedClassifiers;
	}
	
	public XEventClassifier[] getClassifiers(){
		return classifiers;
	}
}
